
set echo on
set serveroutput on

DECLARE

   v_anydata  ANYDATA;
   v_typename VARCHAR2(128);
   v_emp      emp_ot;

BEGIN

   /* Fetch an EMP record into our EMP_OT object... */
   SELECT emp_ot(empno, ename, job, mgr, hiredate, sal, comm, deptno)
   INTO   v_emp
   FROM   emp
   WHERE  ROWNUM = 1;

   /* Assign it to our ANYDATA instance... */
   v_anydata := ANYDATA.ConvertObject(v_emp);

   /* Determine the typename... */
   v_typename := v_anydata.GetTypeName();
   DBMS_OUTPUT.PUT_LINE('Type name is [' || v_typename || ']');

END;
/

   
