
set echo on
set serveroutput on

DECLARE

   v_anydata  ANYDATA;
   v_emps     emp_ntt;

BEGIN

   /* Fetch all EMP records into our EMP_NTT collection of EMP_OT... */
   SELECT emp_ot(empno, ename, job, mgr, hiredate, sal, comm, deptno)
   BULK COLLECT INTO v_emps
   FROM emp;

   /* Assign the collection to our ANYDATA instance... */
   v_anydata := ANYDATA.ConvertCollection(v_emps);

END;
/

   
