
set echo on

ALTER TYPE emp_ot ADD
   MEMBER FUNCTION print RETURN VARCHAR2
   CASCADE;

CREATE TYPE BODY emp_ot AS
   MEMBER FUNCTION print RETURN VARCHAR2 IS
   BEGIN
      RETURN TO_CHAR(SELF.empno);
   END;
END;
/

CREATE TYPE dept_ot AS OBJECT
( deptno NUMBER(2)
, dname  VARCHAR2(14)
, loc    VARCHAR2(13)
, MEMBER FUNCTION print RETURN VARCHAR2
);
/

CREATE TYPE BODY dept_ot AS
   MEMBER FUNCTION print RETURN VARCHAR2 IS
   BEGIN
      RETURN TO_CHAR(SELF.deptno);
   END;
END;
/

