
set echo on

DECLARE
   v_anydata  ANYDATA := ANYDATA.ConvertVarchar2('String');
   v_typename VARCHAR2(128);
BEGIN
   v_typename := v_anydata.GetTypeName();
   DBMS_OUTPUT.PUT_LINE('Type of ANYDATA instance is [' || v_typename || ']');
END;
/

DECLARE
   v_anydata  ANYDATA := ANYDATA.ConvertVarchar2('String');
   v_anytype  ANYTYPE;
   v_typecode PLS_INTEGER;
BEGIN
   v_typecode := v_anydata.GetType(v_anytype);
   DBMS_OUTPUT.PUT_LINE('Typecode of instance is [' || v_typecode || ']');
   DBMS_OUTPUT.PUT_LINE('Typecode of DBMS_TYPES.TYPECODE_VARCHAR2 is [' || 
                         DBMS_TYPES.TYPECODE_VARCHAR2 || ']');
END;
/

